package com.qmth.distributed.print.aiDataStatistics;

import com.huaban.analysis.jieba.JiebaSegmenter;
import com.huaban.analysis.jieba.JiebaSegmenter.SegMode;
import com.huaban.analysis.jieba.SegToken;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.wltea.analyzer.core.IKSegmenter;
import org.wltea.analyzer.core.Lexeme;

import java.io.IOException;
import java.io.StringReader;
import java.util.LinkedList;
import java.util.List;

public class Segmenter {

    private final static Logger log = LoggerFactory.getLogger(Segmenter.class);

    public static List<String> processByJieba(String text) {
        List<String> result = new LinkedList<>();
        List<SegToken> tokens = new JiebaSegmenter().process(StringUtils.trimToEmpty(text), SegMode.SEARCH);

        if (tokens != null) {
            for (SegToken token : tokens) {
                result.add(token.word);
            }
        }

        return result;
    }

    public static List<String> processByIk(String text) {
        List<String> result = new LinkedList<>();
        IKSegmenter segment = new IKSegmenter(new StringReader(StringUtils.trimToEmpty(text)), true);

        try {
            Lexeme lexeme;
            while ((lexeme = segment.next()) != null) {
                result.add(lexeme.getLexemeText());
            }
        } catch (IOException e) {
            log.error(e.getMessage(), e);
        }

        return result;
    }

}
